<?php
class Pluralizer extends CWidget {

	public $assets = '';
	public $contents;
	
	public function init() {
		$this->assets = Yii::app()->assetManager->publish(dirname(__FILE__).DIRECTORY_SEPARATOR.'assets');
		
		Yii::app()->clientScript
		->registerCoreScript( 'jquery' )
        
		->registerScriptFile( $this->assets.'/pluralizer.js ' )

		->registerCssFile( $this->assets.'/pluralizer.css' );

		parent::init();
	}

	public function run() {
		$value = 0;
		$output = '<span class="pluralizer-container">';
		foreach ($this->contents as $element) {
			switch ($element[0]) {
				case "plain":
					$output .= $element[1] . ' ';
					break;
				case "pluralize":
					$output .= '<span class="singular">'.$element[2].'</span> ';
					$output .= '<span class="plural">'.$element[1].'</span> ';
					break;
				case "value":
					$value = $element[1];
					$output .= '<span class="value">'.$value.'</span> ';
					break;
			}
		}
		$output .= '</span>';
		
		if ($value == 1)  {
			$output = str_replace('class="plural"','class="plural hidden"', $output);
		} else {
			$output = str_replace('class="singular"','class="singular hidden"', $output);
		}
		
		echo $output;
	}
}
?>